#include <sys/time.h>
#include <unistd.h>

/*
 *  u_sleep(usec)
 *
 *  IN 
 *   usec : micro seconds
 *
 */
void u_sleep(usec)
int usec;
{
	struct timeval tv;

	if (!usec) return;
	tv.tv_sec  = 0;  		/* second        */
	tv.tv_usec = usec;		/* micro second  */

	select(0,0,0,0,&tv);		/* wait a little */	
}

/*
 *  tv_diff(tv1, tv2, tv3)
 *
 *  IN 
 *   tv1, tv2 : time value
 *
 *  OUT 
 *   tv3      : tv1 - tv2
 *
 */
void tv_diff(tv1,tv2,tv3)
struct timeval *tv1,*tv2,*tv3;
{
	if (tv1->tv_usec < tv2->tv_usec) {
		tv3->tv_sec  = tv1->tv_sec  - tv2->tv_sec - 1;
		tv3->tv_usec = tv1->tv_usec + 1000000 - tv2->tv_usec;
	} else {
		tv3->tv_sec  = tv1->tv_sec  - tv2->tv_sec;
		tv3->tv_usec = tv1->tv_usec - tv2->tv_usec;
	}
}
